Bug 106939 - Improve custom slide show dialog
Summary: Improve custom slide show dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Dialog Slide-Show
  Show dependency treegraph
 
Reported: 2017-04-04 08:39 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-09-25 12:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (22.29 KB, image/png)
2017-04-04 08:39 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-04-04 08:39:03 UTC
See attached screenshot.
The buttons "Help", "Start" and "OK" should be moved to the bottom of the dialog.

You find this dialog in Impress - Slide Show - Custom Slide Show.
Comment 1 Samuel Mehrbrodt (CIB) 2017-04-04 08:39:38 UTC
Created attachment 132319 [details]
Screenshot
Comment 2 Serge Krot (CIB) 2017-09-15 12:52:25 UTC
Implemented:
- buttons "Help", "Start" and "OK" are moved to the bottom of the dialog.

Changes in ui file were checked by:
- ./bin/lint-ui.py
Comment 3 Commit Notification 2017-09-20 14:01:44 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=732d2e8bb19dbb65f6786e0d109020c189920e1e

tdf#106939 Move OK, Help and Start buttons to bottom

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2017-09-22 19:57:32 UTC
if you guys will do any more improvements to the dialog, i would suggest moving delete to the bottom as it a destructive action.
Comment 5 Commit Notification 2017-09-25 12:23:04 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95082b8e9ba7d4416d3279a8f71d63cf91f40abf

tdf#106939 Swap copy and delete buttons

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.